# RPM specfile for ggv module
# Generated Sat Jan 25 06:37:39 2003 GMT by Ximian build system
# from $Id: bb_do,v 1.214 2003/01/21 05:44:22 thunder Exp $

%define nam	ggv
%define ver	1.99.97.0.200301250412
%define ximrev	1

Name:     	ggv2
Version: 	1.99.97.0.200301250412
Release:	0.snap.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/ggv/
Epoch:		1
Source0:	ggv-1.99.97.tar.gz
Summary:	GNOME PostScript/PDF viewer
Group:		X11/Utilities
Provides:	ggv = %{PACKAGE_VERSION}
Provides:	ximian-ggv2 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	ggv
Prereq:	GConf2

%description
 ggv is a graphical frontend to ghostscript which allows you to view 
postscript and pdf documents, and print ranges of pages.
It is very comfortable due to many zoom and an anti-aliasing option and
following the GNOME look and feel.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
/usr/*/locale/*/*
/usr/share/idl/*.idl
/usr/share/pixmaps/*
/usr/share/gnome-2.0/ui/*.xml
/usr/share/gnome/help/ggv
/usr/share/omf/ggv
/usr/bin/*
/usr/libexec/*
/usr/share/applications/*.desktop
/usr/lib/bonobo/servers/*.server
%config(noreplace) /etc/gconf/schemas/*.schemas


%post
for schema in ggv ; do GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule /etc/gconf/schemas/$schema.schemas ; done

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n ggv-1.99.97
    ;;
all)
%setup  -q -n ggv-1.99.97
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Sat Jan 25 2003 Ximian, Inc.

- Version: 1:1.99.97.0.200301250412-0.snap.ximian.1
- Summary: New build.
- New automated build.

